View Issue Details

IDProjectCategoryLast Update
0021697AI War 2[All Projects] Balance IssueNov 19, 2019 10:43 am
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status consideringResolutionopen 
Product Version0.892 All Ship and Structure Visuals Done! 
Fixed in Version 
Summary0021697: Proposal for Metabolism improvement -- better transparency and scaling
DescriptionPreface: Metabolism is a very cool concept and can reward players for effecient use of their units and sustain longer fights. I really like this concept but...

Background/Problem:
Currently, metabolism is not transparent (no idea how much metal im getting) and it doesn't scale (mark 1 will do the same as a mark 7).

Proposal:
1) units with metabolism generate a base amount of metal (500 let's say). If an enemy has a certain mass, perhaps this gets a nice multiplier
2) base metal generated can differ between units. So gangsaws might have a base of 500 but a bounty Hunter might be 1,000 and have a better multiplier
3) marks increase base amount and/or multiplier
4) It would be silly if units could generate more metal than the actual cost of the unit, so a cieling based on metal cost could be in place

I think some combination of these will really help with the transparency issue and the scaling issue
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 28, 2019 5:42 pm

developer   ~0053301

I *think* I can maybe do this on my own now. Maybe.

It's certainly interesting.

zeusalmighty

Sep 28, 2019 5:45 pm

reporter   ~0053302

in classic, albeit with the salvage mechanic not metabolism, it was always nice to get that *huge* metal boost for killing some epic tier units like a hunter/killer
be nice to get that feeling again

zeusalmighty

Sep 28, 2019 5:47 pm

reporter   ~0053303

since units could vary in metabolism rates, a unit under the effect of metabolism should probably respect the better version.

BadgerBadger

Oct 12, 2019 2:02 am

manager   ~0053615

Note that the player now gets feedback in the UI for how much metal has been metabolized total. It should now be much more transparent.

RocketAssistedPuffin

Oct 15, 2019 2:12 pm

developer   ~0053706

My proposal which I may or may not eventually figure out how to do:

Convert metabolism from a death effect to something more like vampirism. Then units can have different ratios applied to themselves, just like the vampirism mechanic, allowing for things like Bounty Hunters to generate a lot more individually. Metal would be gained as the units attack, so getting more of the units + upgrading them both naturally improve the effect. And maybe as an odd bonus, metabolism would no longer interfere with zombification.

zeusalmighty

Oct 15, 2019 4:24 pm

reporter   ~0053709

I always wondered if metabolism and zombification were mutually exclusive...
I definitely am on board with different metabolism rates between ship types
Love being able to track metabolism though. Currently 4 hours in a game and something like 3 million metal metabolized, would have to double-check

RocketAssistedPuffin

Oct 15, 2019 4:41 pm

developer   ~0053711

If I remember right death effects don't work on a unit that has one. So the Nanocaust can't infect a Parasite. Technically this'd mean you also can't infect a Gangsaw or a War Harvester, so a new system'd clear that up.

zeusalmighty

Oct 15, 2019 4:47 pm

reporter   ~0053712

I think there's a good reason to let gangsaws in particular not be parasited since these are doing self-damage anyway

Having a few dedicated units of the unique tech types immune to parasitism is good imo, since this can make players have no real means of resisting the Nanocaust, for instance

RocketAssistedPuffin

Nov 19, 2019 10:43 am

developer   ~0054629

* Added "Greater Metabolism" and applied it to Bounty Hunters.
** This lets them be the specialist in getting large amounts of metal (max 50% or 50,000) off single targets, while things like Gangsaws and Yellow Jackets are good at swarms.

Unsure if I'd be doing the vampirism style anymore. I can see some really weird things like chipping away at something, letting the shields come back, chip again...or silly exploits where you just harvest metal en masse from factions as they build units, or even from a Macrophage.

Issue History

Date Modified Username Field Change
Sep 28, 2019 5:29 pm zeusalmighty New Issue
Sep 28, 2019 5:42 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Sep 28, 2019 5:42 pm RocketAssistedPuffin Status new => considering
Sep 28, 2019 5:42 pm RocketAssistedPuffin Note Added: 0053301
Sep 28, 2019 5:45 pm zeusalmighty Note Added: 0053302
Sep 28, 2019 5:47 pm zeusalmighty Note Added: 0053303
Oct 12, 2019 2:02 am BadgerBadger Note Added: 0053615
Oct 15, 2019 2:12 pm RocketAssistedPuffin Note Added: 0053706
Oct 15, 2019 4:24 pm zeusalmighty Note Added: 0053709
Oct 15, 2019 4:41 pm RocketAssistedPuffin Note Added: 0053711
Oct 15, 2019 4:47 pm zeusalmighty Note Added: 0053712
Nov 19, 2019 10:43 am RocketAssistedPuffin Note Added: 0054629